// IP resolving method sourced from 
// http://forum.processing.org/one/topic/get-the-ip-address-of-the-host-computer.html
// just for fun, please don't publish

import controlP5.*;
import java.net.InetAddress;

InetAddress inet;

String myIP = "0.0.0.0";
Textlabel tf;
Bang b;
ControlP5 cp5;

void setup()
{
  size(1200,900);
  
  cp5 = new ControlP5(this);
  b = cp5.addBang("findIP", 10, 10, 100, 50);
  b.getCaptionLabel().setFont(new ControlFont(createFont("Arial",60)));
  tf = cp5.addTextlabel("text", "blablabla", 10, 200);
  tf.getValueLabel().setFont(new ControlFont(createFont("Arial",60)));

}

void draw(){
  background(0);
  tf.setValue(myIP);
}

void findIP()
{
  try {
    inet = InetAddress.getLocalHost();
    myIP = inet.getHostAddress();
  }
  catch (Exception e) {
    e.printStackTrace();
    myIP = "couldnt get IP";
  }
}